function feature_display_mesh(parcellation_path,Sbj_ID,Scan_ID,Color_interval,Colorbar_min,Colorbar_max,measure,measure_name,vertices,faces)

color_map=jet(Color_interval);
color_1=zeros(size(measure,1),3);
if sum(measure<Colorbar_min)>0
    color_1(measure<Colorbar_min,:)=repmat(color_map(1,:),sum(measure<Colorbar_min),1);
end
for ii=1:Color_interval
    measure_btw_min_max=measure>=( Colorbar_min+((Colorbar_max-Colorbar_min)/Color_interval)*(ii-1) ) & measure<( Colorbar_min+((Colorbar_max-Colorbar_min)/Color_interval)*ii );
    if sum(measure_btw_min_max)>0
        color_1(measure_btw_min_max,:)=repmat(color_map(ii,:),sum(measure_btw_min_max),1);
    end
end
if sum(measure>=Colorbar_max)>0
    color_1(measure>=Colorbar_max,:)=repmat(color_map(end,:),sum(measure>=Colorbar_max),1);
end

figure
clf
options.face_vertex_color=color_1;
plot_mesh(vertices,faces,options)
shading interp;
axis equal;
colormap(jet)
colorbar('FontSize',30)
caxis([Colorbar_min Colorbar_max])

if ~exist(fullfile(parcellation_path,'Plot_measures'))
    mkdir(fullfile(parcellation_path,'Plot_measures'))
end
savefig(fullfile(parcellation_path,'Plot_measures',[num2str(Sbj_ID) '-0' num2str(Scan_ID) '_' measure_name '.fig']))
close all

end
