function feature_plot(parcellation_path,Sbj_ID,Scan_ID)

%% load the mesh
[vertices1,faces1]=readoff(fullfile(parcellation_path,[num2str(Sbj_ID) '-0' num2str(Scan_ID) '_WM_1.off']));
[vertices2,faces2]=readoff(fullfile(parcellation_path,[num2str(Sbj_ID) '-0' num2str(Scan_ID) '_WM_2.off']));
vertices=[vertices1;vertices2];
faces=[faces1;faces2+size(vertices1,1)];

[FM1]=load(fullfile(parcellation_path,[num2str(Sbj_ID) '-0' num2str(Scan_ID) '_WM_' num2str(1) '_foldingMeasures.mat']));
[FM2]=load(fullfile(parcellation_path,[num2str(Sbj_ID) '-0' num2str(Scan_ID) '_WM_' num2str(2) '_foldingMeasures.mat']));
foldingMeasures.Cmean=[FM1.foldingMeasures.Cmean;FM2.foldingMeasures.Cmean];
foldingMeasures.Cgauss=[FM1.foldingMeasures.Cgauss;FM2.foldingMeasures.Cgauss];
foldingMeasures.Curvedness=[FM1.foldingMeasures.Curvedness;FM2.foldingMeasures.Curvedness]; 

[lGI1]=load(fullfile(parcellation_path,[num2str(Sbj_ID) '-0' num2str(Scan_ID) '_WM_' num2str(1) '_lGI.mat']));
[lGI2]=load(fullfile(parcellation_path,[num2str(Sbj_ID) '-0' num2str(Scan_ID) '_WM_' num2str(2) '_lGI.mat']));
lGI=[lGI1.lGI;lGI2.lGI];

[SulcalDepth1]=load(fullfile(parcellation_path,[num2str(Sbj_ID) '-0' num2str(Scan_ID) '_WM_' num2str(1) '_SulcalDepth.mat']));
[SulcalDepth2]=load(fullfile(parcellation_path,[num2str(Sbj_ID) '-0' num2str(Scan_ID) '_WM_' num2str(2) '_SulcalDepth.mat']));
Sulcal_Depth=[SulcalDepth1.Sulcal_Depth;SulcalDepth2.Sulcal_Depth]; 

%% display the mesh
Color_interval=1000;

% Cmean
Colorbar_min=-0.3;
Colorbar_max=0.3;
feature_display_mesh(parcellation_path,Sbj_ID,Scan_ID,Color_interval,Colorbar_min,Colorbar_max,foldingMeasures.Cmean,'Cmean',vertices,faces);

% Cgauss
Colorbar_min=-0.03;
Colorbar_max=0.03;
feature_display_mesh(parcellation_path,Sbj_ID,Scan_ID,Color_interval,Colorbar_min,Colorbar_max,foldingMeasures.Cgauss,'Cgauss',vertices,faces);

% Curvedness
Colorbar_min=0;
Colorbar_max=0.5;
feature_display_mesh(parcellation_path,Sbj_ID,Scan_ID,Color_interval,Colorbar_min,Colorbar_max,foldingMeasures.Curvedness,'Curvedness',vertices,faces);

% lGI
Colorbar_min=1;
Colorbar_max=2;
feature_display_mesh(parcellation_path,Sbj_ID,Scan_ID,Color_interval,Colorbar_min,Colorbar_max,lGI,'lGI',vertices,faces);

% Sulcal_Depth
Colorbar_min=0;
Colorbar_max=6;
feature_display_mesh(parcellation_path,Sbj_ID,Scan_ID,Color_interval,Colorbar_min,Colorbar_max,Sulcal_Depth,'Sulcal_Depth',vertices,faces);

end

